Skip to content

Найти само API можно по ссылкам:

HyperLEDA API 0.1.0#

Endpoints#


POST /api/v1/table/data#

Add new data to the table

Description

Inserts new data to the table. Deduplicates rows based on their contents. If two rows were identical this method will only insert the last one.

Request body

{
    "table_name": "string",
    "data": [
        {
            "dec": 41.269,
            "name": "M 31",
            "ra": 0.7123
        },
        {
            "dec": 30.6602,
            "name": "M 33",
            "ra": 1.5641
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "table_name": {
            "type": "string",
            "title": "Table Name"
        },
        "data": {
            "items": {
                "additionalProperties": true,
                "type": "object"
            },
            "type": "array",
            "title": "Data",
            "description": "Actual data to append. \nKeys in this dictionary must be a subset of the columns in the table. If not specified, column will be set to NULL.\nNaN and NULL are considered to be the same thing.",
            "examples": [
                [
                    {
                        "dec": 41.269,
                        "name": "M 31",
                        "ra": 0.7123
                    },
                    {
                        "dec": 30.6602,
                        "name": "M 33",
                        "ra": 1.5641
                    }
                ]
            ]
        }
    },
    "type": "object",
    "required": [
        "table_name",
        "data"
    ],
    "title": "AddDataRequest"
}

Responses

{
    "data": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/AddDataResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[AddDataResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/source#

New internal source entry

Description

Creates new source entry in the database for internal communication and unpublished articles.

Request body

{
    "title": "string",
    "authors": [
        "Ivanov V.",
        "Johnson H."
    ],
    "year": 2006
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "title": {
            "type": "string",
            "title": "Title"
        },
        "authors": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Authors",
            "examples": [
                [
                    "Ivanov V.",
                    "Johnson H."
                ]
            ]
        },
        "year": {
            "type": "integer",
            "title": "Year",
            "examples": [
                2006
            ]
        }
    },
    "type": "object",
    "required": [
        "title",
        "authors",
        "year"
    ],
    "title": "CreateSourceRequest"
}

Responses

{
    "data": {
        "code": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/CreateSourceResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[CreateSourceResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/table#

Get or create schema for the table.

Description

Creates new schema for the table which can later be used to upload data. Important: If the table with the specified name already exists, does nothing and returns ID of the previously created table without any alterations.

Request body

{
    "table_name": "string",
    "columns": [
        {
            "data_type": "str",
            "name": "name",
            "ucd": "meta.id"
        },
        {
            "data_type": "float",
            "name": "ra",
            "ucd": "pos.eq.ra",
            "unit": "hourangle"
        },
        {
            "data_type": "float",
            "name": "dec",
            "ucd": "pos.eq.dec",
            "unit": "deg"
        }
    ],
    "bibcode": "2024PDU....4601628D",
    "datatype": "regular",
    "description": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "table_name": {
            "type": "string",
            "title": "Table Name"
        },
        "columns": {
            "items": {
                "$ref": "#/components/schemas/ColumnDescription"
            },
            "type": "array",
            "title": "Columns",
            "description": "List of columns in the table",
            "examples": [
                [
                    {
                        "data_type": "str",
                        "name": "name",
                        "ucd": "meta.id"
                    },
                    {
                        "data_type": "float",
                        "name": "ra",
                        "ucd": "pos.eq.ra",
                        "unit": "hourangle"
                    },
                    {
                        "data_type": "float",
                        "name": "dec",
                        "ucd": "pos.eq.dec",
                        "unit": "deg"
                    }
                ]
            ]
        },
        "bibcode": {
            "type": "string",
            "title": "Bibcode",
            "description": "ADS bibcode of the article that published the data (or code of the internal communication)",
            "examples": [
                "2024PDU....4601628D"
            ]
        },
        "datatype": {
            "$ref": "#/components/schemas/DataType"
        },
        "description": {
            "type": "string",
            "title": "Description",
            "description": "Human-readable description of the table"
        }
    },
    "type": "object",
    "required": [
        "table_name",
        "columns",
        "bibcode",
        "datatype",
        "description"
    ],
    "title": "CreateTableRequest"
}

Responses

{
    "data": {
        "id": 0
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/CreateTableResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[CreateTableResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/table#

Retrieve table information

Description

Fetches details about a specific table using the provided table name

Input parameters

Parameter In Type Default Nullable Description
table_name query string No

Responses

{
    "data": {
        "id": 0,
        "description": "string",
        "column_info": [
            {
                "name": "string",
                "data_type": "str",
                "ucd": null,
                "unit": null,
                "description": null
            }
        ],
        "rows_num": 0,
        "meta": {},
        "bibliography": {
            "title": "string",
            "authors": [
                "string"
            ],
            "year": 0,
            "bibcode": "string"
        },
        "statistics": null
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/GetTableResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[GetTableResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PATCH /api/v1/table#

Patch table schema

Description

Patches the schema of the table. Allows updating column metadata (UCD, unit, description).

Only provided fields will be updated; omitted fields will remain unchanged.

Example 1: Update column metadata (UCD and unit):

{
    "table_name": "my_table",
    "columns": {
        "ra": {
            "ucd": "pos.eq.ra",
            "unit": "hourangle"
        },
        "dec": {
            "ucd": "pos.eq.dec",
            "unit": "deg"
        }
    }
}

Example 2: Add a column description:

{
    "table_name": "my_table",
    "columns": {
        "vmag": {
            "description": "Visual magnitude in the V band"
        }
    }
}

Request body

{
    "table_name": "string",
    "columns": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "table_name": {
            "type": "string",
            "title": "Table Name"
        },
        "columns": {
            "additionalProperties": {
                "$ref": "#/components/schemas/PatchColumnSpec"
            },
            "type": "object",
            "title": "Columns"
        }
    },
    "type": "object",
    "required": [
        "table_name",
        "columns"
    ],
    "title": "PatchTableRequest"
}

Responses

{
    "data": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/PatchTableResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[PatchTableResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/tables#

List tables

Description

Returns a paginated list of tables matching the search query by name or description

Input parameters

Parameter In Type Default Nullable Description
page query integer 0 No
page_size query integer 25 No
query query string No

Responses

{
    "data": {
        "tables": [
            {
                "name": "string",
                "description": "string",
                "num_entries": 0,
                "num_fields": 0,
                "modification_dt": "2022-04-13T15:42:05.901Z"
            }
        ]
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/GetTableListResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[GetTableListResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/records#

List records

Description

Returns a paginated list of records for a table with their original data.

Input parameters

Parameter In Type Default Nullable Description
page query integer 0 No
page_size query integer 25 No
pgc query No
table_name query string No
triage_status query No
upload_status query No

Responses

{
    "data": {
        "records": [
            {
                "id": "string",
                "original_data": {},
                "pgc": null,
                "crossmatch": {
                    "triage_status": "unprocessed",
                    "candidates": [
                        {
                            "pgc": 0
                        }
                    ]
                },
                "catalogs": {
                    "designation": null,
                    "icrs": null,
                    "redshift": null,
                    "nature": null
                }
            }
        ],
        "schema": {
            "original_data": {
                "description": {},
                "ucd": {},
                "unit": {}
            },
            "catalogs": {
                "designation": {
                    "description": {
                        "name": "string"
                    }
                },
                "icrs": {
                    "unit": {
                        "ra": "string",
                        "ra_error": "string",
                        "dec": "string",
                        "dec_error": "string"
                    },
                    "description": {
                        "ra": "string",
                        "ra_error": "string",
                        "dec": "string",
                        "dec_error": "string"
                    }
                },
                "redshift": {
                    "description": {
                        "z": "string",
                        "z_error": "string"
                    }
                },
                "nature": {
                    "description": {
                        "type_name": "string",
                        "types": {}
                    }
                }
            }
        }
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/GetRecordsResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[GetRecordsResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/login#

Login

Description

Authenticates user and returns token

Request body

{
    "username": "string",
    "password": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "username": {
            "type": "string",
            "title": "Username"
        },
        "password": {
            "type": "string",
            "title": "Password"
        }
    },
    "type": "object",
    "required": [
        "username",
        "password"
    ],
    "title": "LoginRequest"
}

Responses

{
    "data": {
        "token": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/LoginResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[LoginResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/records/crossmatch#

Get crossmatch records

Description

Retrieves crossmatch records for a specific table with optional filtering.

Input parameters

Parameter In Type Default Nullable Description
page query integer 0 No
page_size query integer 25 No
status query No
table_name query string No
triage_status query No

Responses

{
    "data": {
        "records": [
            {
                "record_id": "string",
                "status": "unprocessed",
                "triage_status": "pending",
                "metadata": {
                    "possible_matches": null,
                    "pgc": null
                },
                "catalogs": {
                    "designation": null,
                    "coordinates": null,
                    "redshift": null,
                    "velocity": null
                }
            }
        ],
        "schema": {
            "units": {
                "coordinates": {},
                "velocity": {}
            }
        }
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/GetRecordsCrossmatchResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[GetRecordsCrossmatchResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/records/crossmatch#

Set crossmatch results

Description

Bulk write crossmatch results. Each entry contains only the fields needed for that status (no nulls). At least one status block must be present.

Example 1 – minimal (all new objects):

{
  "statuses": {
    "new": { "record_ids": ["uuid-1", "uuid-2"] }
  }
}

Example 2 – mixed statuses:

{
  "statuses": {
    "new": { "record_ids": ["uuid-1", "uuid-2"] },
    "existing": { "record_ids": ["uuid-3"], "pgcs": [42] },
    "collided": {
      "record_ids": ["uuid-4"],
      "possible_matches": [[40, 41, 42]],
      "triage_statuses": ["resolved"]
    }
  }
}

Request body

{
    "statuses": {
        "new": null,
        "existing": null,
        "collided": null
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "statuses": {
            "$ref": "#/components/schemas/StatusesPayload"
        }
    },
    "type": "object",
    "required": [
        "statuses"
    ],
    "title": "SetCrossmatchResultsRequest"
}

Responses

{
    "data": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/SetCrossmatchResultsResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[SetCrossmatchResultsResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/record/crossmatch#

Get record crossmatch details

Description

Retrieves detailed crossmatch information for a specific record.

Input parameters

Parameter In Type Default Nullable Description
record_id query string No

Responses

{
    "data": {
        "table_name": "string",
        "crossmatch": {
            "record_id": "string",
            "status": "unprocessed",
            "triage_status": "pending",
            "metadata": {
                "possible_matches": null,
                "pgc": null
            },
            "catalogs": {
                "designation": null,
                "coordinates": null,
                "redshift": null,
                "velocity": null
            }
        },
        "candidates": [
            {
                "pgc": 0,
                "catalogs": null
            }
        ],
        "schema": {
            "units": {
                "coordinates": {},
                "velocity": {}
            }
        },
        "original_data": null
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/GetRecordCrossmatchResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[GetRecordCrossmatchResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/data/structured#

Write structured data to layer 1

Description

Bulk write columnar data into a layer 1 catalog table. Records are identified by internal HyperLEDA IDs (must already be registered there). Use catalog to target icrs, designation, or redshift. Column names and units are given once; data is a 2D array of rows. For every column that has unit metadata in the database, the request must include that column in units.

Example 1 – designation (no units):

{
  "catalog": "designation",
  "columns": ["design"],
  "units": {},
  "ids": ["uuid-1", "uuid-2"],
  "data": [["NGC 1234"], ["NGC 5678"]]
}

Example 2 – ICRS (with units, values in degrees):

{
  "catalog": "icrs",
  "columns": ["ra", "dec", "e_ra", "e_dec"],
  "units": {"ra": "deg", "dec": "deg", "e_ra": "deg", "e_dec": "deg"},
  "ids": ["uuid-1"],
  "data": [[100.0, 20.0, 0.5, 0.5]]
}

Request body

{
    "catalog": "string",
    "columns": [
        "string"
    ],
    "units": {},
    "ids": [
        "string"
    ],
    "data": [
        [
            null
        ]
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "catalog": {
            "type": "string",
            "title": "Catalog"
        },
        "columns": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Columns"
        },
        "units": {
            "additionalProperties": {
                "type": "string"
            },
            "type": "object",
            "title": "Units",
            "default": {}
        },
        "ids": {
            "items": {
                "type": "string"
            },
            "type": "array",
            "title": "Ids"
        },
        "data": {
            "items": {
                "items": {},
                "type": "array"
            },
            "type": "array",
            "title": "Data"
        }
    },
    "type": "object",
    "required": [
        "catalog",
        "columns",
        "ids",
        "data"
    ],
    "title": "SaveStructuredDataRequest"
}

Responses

{
    "data": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "$ref": "#/components/schemas/SaveStructuredDataResponse"
        }
    },
    "type": "object",
    "required": [
        "data"
    ],
    "title": "APIOkResponse[SaveStructuredDataResponse]"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /ping#

Check that service is up and running

Responses

Schema of the response body


Schemas#

AddDataRequest#

Name Type Description
data Array<> Actual data to append. Keys in this dictionary must be a subset of the columns in the table. If not specified, column will be set to NULL. NaN and NULL are considered to be the same thing.
table_name string

AddDataResponse#

APIOkResponse_AddDataResponse_#

Name Type Description
data AddDataResponse

APIOkResponse_CreateSourceResponse_#

Name Type Description
data CreateSourceResponse

APIOkResponse_CreateTableResponse_#

Name Type Description
data CreateTableResponse

APIOkResponse_GetRecordCrossmatchResponse_#

Name Type Description
data GetRecordCrossmatchResponse

APIOkResponse_GetRecordsCrossmatchResponse_#

Name Type Description
data GetRecordsCrossmatchResponse

APIOkResponse_GetRecordsResponse_#

Name Type Description
data GetRecordsResponse

APIOkResponse_GetTableListResponse_#

Name Type Description
data GetTableListResponse

APIOkResponse_GetTableResponse_#

Name Type Description
data GetTableResponse

APIOkResponse_LoginResponse_#

Name Type Description
data LoginResponse

APIOkResponse_PatchTableResponse_#

Name Type Description
data PatchTableResponse

APIOkResponse_SaveStructuredDataResponse_#

Name Type Description
data SaveStructuredDataResponse

APIOkResponse_SetCrossmatchResultsResponse_#

Name Type Description
data SetCrossmatchResultsResponse

Bibliography#

Name Type Description
authors Array<string>
bibcode string
title string
year integer

Catalogs#

Name Type Description
coordinates
designation
redshift
velocity

CollidedStatusPayload#

Name Type Description
possible_matches Array<Array<integer>>
record_ids Array<string>
triage_statuses Array<>

ColumnDescription#

Name Type Description
data_type DatatypeEnum
description
name string
ucd
unit

Coordinates#

Name Type Description
equatorial EquatorialCoordinates
galactic GalacticCoordinates

CreateSourceRequest#

Name Type Description
authors Array<string>
title string
year integer

CreateSourceResponse#

Name Type Description
code string

CreateTableRequest#

Name Type Description
bibcode string ADS bibcode of the article that published the data (or code of the internal communication)
columns Array<ColumnDescription> List of columns in the table
datatype DataType
description string Human-readable description of the table
table_name string

CreateTableResponse#

Name Type Description
id integer

CrossmatchTriageStatus#

Type: string

DataType#

Type: string

DatatypeEnum#

Type: string

Designation#

Name Type Description
name string

EquatorialCoordinates#

Name Type Description
dec number
e_dec number
e_ra number
ra number

ExistingStatusPayload#

Name Type Description
pgcs Array<integer>
record_ids Array<string>
triage_statuses Array<>

GalacticCoordinates#

Name Type Description
e_lat number
e_lon number
lat number
lon number

GetRecordCrossmatchResponse#

Name Type Description
candidates Array<PGCCandidate>
crossmatch RecordCrossmatch
original_data
schema Schema
table_name string

GetRecordsCrossmatchResponse#

Name Type Description
records Array<RecordCrossmatch>
schema Schema

GetRecordsResponse#

Name Type Description
records Array<Record>
schema RecordSchema

GetTableListResponse#

Name Type Description
tables Array<TableListItem>

GetTableResponse#

Name Type Description
bibliography Bibliography
column_info Array<ColumnDescription>
description string
id integer
meta
rows_num integer
statistics

HeliocentricVelocity#

Name Type Description
e_v number
v number

HTTPValidationError#

Name Type Description
detail Array<ValidationError>

LoginRequest#

Name Type Description
password string
username string

LoginResponse#

Name Type Description
token string Token used to authenticate user in handlers that require a specific role to access

NewStatusPayload#

Name Type Description
record_ids Array<string>
triage_statuses Array<>

PatchColumnSpec#

Name Type Description
description
ucd
unit

PatchTableRequest#

Name Type Description
columns
table_name string

PatchTableResponse#

PGCCandidate#

Name Type Description
catalogs Catalogs
pgc integer

Record#

Name Type Description
catalogs RecordCatalogValues
crossmatch RecordCrossmatchInfo
id string
original_data
pgc

RecordCatalogSchema#

Name Type Description
designation RecordDesignationCatalogSchema
icrs RecordICRSCatalogSchema
nature RecordNatureCatalogSchema
redshift RecordRedshiftCatalogSchema

RecordCatalogValues#

Name Type Description
designation
icrs
nature
redshift

RecordCrossmatch#

Name Type Description
catalogs Catalogs
metadata RecordCrossmatchMetadata
record_id string
status RecordCrossmatchStatus
triage_status RecordTriageStatus

RecordCrossmatchCandidate#

Name Type Description
pgc integer

RecordCrossmatchInfo#

Name Type Description
candidates Array<RecordCrossmatchCandidate>
triage_status CrossmatchTriageStatus

RecordCrossmatchMetadata#

Name Type Description
pgc
possible_matches

RecordCrossmatchStatus#

Type: string

RecordDesignationCatalog#

Name Type Description
name string

RecordDesignationCatalogDescriptionSchema#

Name Type Description
name string

RecordDesignationCatalogSchema#

Name Type Description
description RecordDesignationCatalogDescriptionSchema

RecordICRSCatalog#

Name Type Description
dec number
dec_error number
ra number
ra_error number

RecordICRSCatalogDescriptionSchema#

Name Type Description
dec string
dec_error string
ra string
ra_error string

RecordICRSCatalogSchema#

Name Type Description
description RecordICRSCatalogDescriptionSchema
unit RecordICRSCatalogUnitSchema

RecordICRSCatalogUnitSchema#

Name Type Description
dec string
dec_error string
ra string
ra_error string

RecordNatureCatalog#

Name Type Description
type_name string

RecordNatureCatalogDescriptionSchema#

Name Type Description
type_name string
types Mapping of type keys to their descriptions

RecordNatureCatalogSchema#

Name Type Description
description RecordNatureCatalogDescriptionSchema

RecordOriginalDataSchema#

Name Type Description
description
ucd
unit

RecordRedshiftCatalog#

Name Type Description
z number
z_error number

RecordRedshiftCatalogDescriptionSchema#

Name Type Description
z string
z_error string

RecordRedshiftCatalogSchema#

Name Type Description
description RecordRedshiftCatalogDescriptionSchema

RecordSchema#

Name Type Description
catalogs RecordCatalogSchema
original_data RecordOriginalDataSchema

RecordTriageStatus#

Type: string

Redshift#

Name Type Description
e_z number
z number

SaveStructuredDataRequest#

Name Type Description
catalog string
columns Array<string>
data Array<Array<>>
ids Array<string>
units

SaveStructuredDataResponse#

Schema#

Name Type Description
units UnitsSchema

SetCrossmatchResultsRequest#

Name Type Description
statuses StatusesPayload

SetCrossmatchResultsResponse#

StatusesPayload#

Name Type Description
collided
existing
new

TableListItem#

Name Type Description
description string
modification_dt string(date-time)
name string
num_entries integer
num_fields integer

UnitsSchema#

Name Type Description
coordinates
velocity

UploadStatus#

Type: string

ValidationError#

Name Type Description
ctx
input
loc Array<>
msg string
type string

Velocity#

Name Type Description
heliocentric HeliocentricVelocity